Summary: The boot loader for Linux and other operating systems.
Name: lilo
Version: 0.21
Release: 6
Exclusivearch: i386
Copyright: MIT
Group: System Environment/Base
Source: ftp://lrcftp.epfl.ch/pub/linux/local/lilo/lilo-21.tar.gz
Patch0: lilo-0.21-include.patch
Patch1: lilo-ebda.patch
Patch2: http://www.insync.net/~frantzc/lilo.patch
Buildroot: /var/tmp/lilo-root

%description
LILO (LInux LOader) is a basic system program which boots your Linux
system.  LILO loads the Linux kernel from a floppy or a hard drive, boots
the kernel and passes control of the system to the kernel.  LILO can also
boot other operating systems.

%prep
%setup -q -n lilo
%patch -p1 -b .include
%patch1 -p1 -b .ebda
%patch2 -p1 -b .cpqarray

%build
make
make -C doc
dvips doc/user.dvi -o doc/User_Guide.ps
dvips doc/tech.dvi -o doc/Technical_Guide.ps
rm -f doc/*.aux doc/*.log doc/*.toc

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
make install ROOT=$RPM_BUILD_ROOT
mv $RPM_BUILD_ROOT/usr/sbin $RPM_BUILD_ROOT/usr/bin

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f /etc/lilo.conf ]; then
	/sbin/lilo > /dev/null
fi

%files
%doc README CHANGES COPYING INCOMPAT QuickInst 
%doc doc
/usr/bin/keytab-lilo.pl
/boot/boot.b
/boot/chain.b
/boot/os2_d.b
/sbin/lilo

%changelog
* Tue Apr 13 1999 Matt Wilson <msw@redhat.com>
- added patch to make Compaq SmartArrays bootable

* Wed Mar 24 1999 Bill Nottingham <notting@redhat.com>
- add EBDA patch from zab

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Thu Mar 18 1999 Cristian Gafton <gafton@redhat.com>
- add keytab-lilo.pl to the file list

* Sun Dec  6 1998 Matt Wilson <msw@redhat.com>
- updated to release 0.21
- patched to build on 2.1.x kernels

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- updated to release 0.20
- uses a build root

* Tue Jul 08 1997 Erik Troan <ewt@redhat.com>
- built against glibc

